%define	name	tftp
%define version 0.42
%define release %mkrel 2

Summary: 	The client and server for the Trivial File Transfer Protocol (TFTP)
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	BSD
Group: 		System/Servers
URL:		http://www.kernel.org/pub/software/network/tftp/
Source0: 	http://www.kernel.org/pub/software/network/tftp/tftp-hpa-%{version}.tar.bz2
Source1: 	tftp-xinetd
#Patch0:	tftp-0.28-malta.patch.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The Trivial File Transfer Protocol (TFTP) is normally used only for
booting diskless workstations.  The tftp package provides the user
interface for TFTP, which allows users to transfer files to and from
a remote machine.  This program, and TFTP, provide very little security,
and should not be enabled unless it is expressly needed. 

%package	server
Group:		System/Servers
Summary:	The server for the Trivial File Transfer Protocol (TFTP)
Requires:	xinetd
Requires(post):	rpm-helper
Requires(preun):rpm-helper

%description	server
The Trivial File Transfer Protocol (TFTP) is normally used only for
booting diskless workstations.  The tftp-server package provides the
server for TFTP, which allows users to transfer files to and from a
remote machine. TFTP provides very little security, and should not be
enabled unless it is expressly needed.  The TFTP server is run from
%{_sysconfdir}/xinetd.d/tftp, and is disabled by default on a Mandriva Linux
systems.

%prep
%setup -q  -n tftp-hpa-%{version}
#%patch0 -p1 -b .malta

%build

%serverbuild

sh configure --prefix=%{_prefix}
perl -pi -e '
    s,^CC=.*$,CC=cc,;
    s,^BINDIR=.*$,BINDIR=%{_bindir},;
    s,^MANDIR=.*$,MANDIR=%{_mandir},;
    s,^SBINDIR=.*$,SBINDIR=%{_sbindir},;
    ' MCONFIG

%make 

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man{1,8}
mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}

make INSTALLROOT=${RPM_BUILD_ROOT} MANDIR=%{_mandir} install
install -m755 -d $RPM_BUILD_ROOT%{_localstatedir}/tftpboot/
install -m644 %{SOURCE1} -D ${RPM_BUILD_ROOT}%{_sysconfdir}/xinetd.d/tftp

%post server
%_post_service %{name}

%preun server
%_preun_service %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/tftp
%{_mandir}/man1/*

%files server
%defattr(-,root,root)
%dir %{_localstatedir}/tftpboot
%config(noreplace) %{_sysconfdir}/xinetd.d/tftp
%{_sbindir}/in.tftpd
%{_mandir}/man8/*

%changelog
* Thu Apr 27 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.42-2mdk
- s/Mandrakelinux/Mandriva Linux/

* Thu Apr 20 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.42-1mdk
- New release 0.42
- fix prereq

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.40-3mdk
- Rebuild

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.40-2mdk
- rebuild for new readline
- fix summary-ended-with-dot

* Thu Dec 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.40-1mdk
- 0.40
- drop malta patch (P0)

* Tue May  4 2004 Juan Quintela <quintela@mandrakesoft.com> 0.36-1mdk
- 0.36.

* Mon Apr 05 2004 Michael Scherer <misc@mandrake.org> 0.34-2mdk
- removed forbidden word
 
* Wed Jul 30 2003 Juan Quintela <quintela@mandrakesoft.com> 0.34-1mdk
- 0.34.

* Wed Jul 23 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.32-2mdk
- rebuild
- drop Prefix tag
- prereq on rpm-helper in tftp-server package, not tftp package

* Tue Jan  7 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.32-1mdk
- Add malta redhat patch.
- Tweak xinetd default config file to load tftp only for ipv4 (it
  doesn't work with ipv6).
- Bump to version 0.32.

* Mon Jan  6 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.29-3mdk
- Add /var/lib/tftpboot to filelist.

* Fri Jun 21 2002 Stew Benedict <sbenedict@mandrakesoft.com> 0.29-2mdk
- serve files from /var/lib/tftpboot, rather than /tftpboot (FHS)

* Sat Jun 15 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.29-1mdk
- tftp-hpa 0.,29.
- Dump netkit-tftp client and use tftp-hpa client.

* Fri Oct 05 2001 Yves Duret <yduret@mandrakesoft.com> 0.17-7mdk
- s#Linux-?Mandrake#Mandrake Linux# for our new com policy

* Thu Aug 09 2001 Yves Duret <yduret@mandrakesoft.com> 0.17-6mdk
- updated tftp-hpa source to version 0.20
- merged with rh patches

* Mon Jul  2 2001 Yves Duret <yduret@mandrakesoft.com> 0.17-5mdk
- macros
- s#Copyright#License#

* Wed Apr  4 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.17-4mdk
- server_macros_zification.
- Add proto=udp for xinetd.
- Add rh patch on hpa tftp.

* Wed Mar 21 2001 Pixel <pixel@mandrakesoft.com> 0.17-3mdk
- tftp doesn't require xinetd, only tftp-server does

* Sat Sep 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.17-2mdk
- Add hpa version of tftp.
- Add xinetd support.
- Split server and client.

* Fri Aug 04 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.17-1mdk
- rebuild with shiny new version
- _sbindir_ macro

* Fri Jul 21 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.16-3mdk
- macros, BM, _spechelper_

* Mon Apr 17 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 0.16-2mdk
- fix changelog, blame me not Chris Molnar for damage...

* Mon Apr 17 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 0.16-1mdk
- version 0.16
- fixed Source URL
- added documentation

* Mon Apr 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.15-2mdk
- Fixed groups

* Sat Nov 06 1999 John Buswell <johnb@mandrakesoft.com>
- 0.15
- Removed version dependencies from spec file
- Build Release

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Wed Apr  7 1999 Jeff Johnson <jbj@redhat.com>
- tftpd should truncate file when overwriting (#412)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 22)

* Mon Mar 15 1999 Jeff Johnson <jbj@redhat.com>
- compile for 6.0.

* Fri Aug  7 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Sep 22 1997 Erik Troan <ewt@redhat.com>
- added check for getpwnam() failure

* Tue Jul 15 1997 Erik Troan <ewt@redhat.com>
- initial build
